%define real_name SDL_perl
%define name perl-SDL
%define version 1.20.0
%define release 13mdk

Summary: Wrapper around the cross platform Simple DirectMedia Layer game library
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: Development/Perl
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot/
Source: http://sdlperl.org/downloads/%{real_name}-%{version}.tar.gz
Patch0: SDL_perl-1.20.0-64bit.patch.bz2
Patch1:	SDL_perl-1.20.0-SDL_gfx12.patch.bz2
URL: http://www.sdlperl.org/
BuildRequires: libungif-devel libSDL_image-devel
BuildRequires: libSDL_mixer-devel libMesaGLU-devel perl-devel perl-PDL 
BuildRequires: libSDL_net-devel libSDL_ttf-devel
BuildRequires: libSDL_gfx-devel >= 2.0.8
Provides: %{real_name} = %{version}-%{release} sdlpl = %{version}-%{release}

%description
SDL Perl is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in Perl,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p0
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README BUGS TODO test
%{_mandir}/*/*
%{perl_vendorarch}/auto/SDL*
%{perl_vendorarch}/SDL*

%changelog
* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-13mdk
- rebuild for new SDL_gfx

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-12mdk
- rebuild for new perl

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-11mdk
- patch for new SDL_gfx

* Wed May 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-10mdk
- drop patch 1 and build against fixed SDL_gfx

* Tue May 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-9mdk
- patch for new SDL_gfx

* Fri Dec 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-8mdk
- new SDL_gfx

* Fri Nov  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-7mdk
- new SDL_gfx

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.20.0-6mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro

* Fri Jul 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-5mdk
- rebuild against new SDL_gfx

* Sun Jun  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-4mdk
- fix buildrequires
- new SDL_gfx

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.20.0-3mdk
- rebuild for new auto{prov,req}

* Thu Apr 24 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.20.0-2mdk
- fix buildrequires thx to stefan's robot

* Mon Feb  3 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.20.0-1mdk
- new version

* Mon Oct 14 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.19.0-1mdk
- new version
- port 64bit patch, hope it will work, gb :)

* Sat Aug 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.18-6mdk
- Patch1: 64-bit fixes
- Patch0: Don't add explicit search in -I/usr/include, fix X11
  libraries lookup for lib64 architectures

* Mon Aug  5 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.18-5mdk
- rebuild for threaded perl

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.18-4mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.18-3mdk
- recompile against new vorbis stuff

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.18-2mdk
- rebuild for perl 5.8.0

* Mon May 27 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.18-1mdk
- new stable release

* Sat May 11 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.16-3mdk
- s/SDL::Error/SDL::GetError/ in one pm

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.16-2mdk
- fix url
- rebuild for new alsa
- fix buildrequires

* Mon Apr 15 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.16-1mdk
- new version
- patching Makefile.PL no more needed

* Mon Apr  8 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11-3mdk
- my mistake, it's LGPL, not GPL

* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11-2mdk
- add dependency on perl

* Mon Jan 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11-1mdk
- new version with another patch sent to author integrated right away

* Wed Jan 23 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10-1mdk
- new release from author
- my SDL::Music patch integrated upstream

* Tue Jan 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-6mdk
- patch SDL::Music.pm where DESTROY was not calling the right function
  (who's using this library apart me anyway? ;p)

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.08-5mdk
- BuildRequires: libjpeg-devel perl-devel

* Fri Oct 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-4mdk
- rebuild for libpng3
- fix URL

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-3mdk
- rebuild

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-2mdk
- new SDL

* Tue Jan  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-1mdk
- first package in Linux-Mandrake
